---
title: "Get license line of authorities for an associated license"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc/operations/getLicenseLoasByLicenseId"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc.md

# Get license line of authorities for an associated license

`GET` `/v2/licenses/{licenseId}/licenseLoas`

Operation ID: `getLicenseLoasByLicenseId`

Returns all license line of authorities associated with a unique license ID

## Path parameters

- `licenseId` (integer, required) - License ID of the data to return

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.85.1
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v2/licenses/{licenseId}/licenseLoas:
    get:
      tags:
        - Producer Licenses and LOAs
      operationId: getLicenseLoasByLicenseId
      summary: Get license line of authorities for an associated license
      description: >
        Returns all license line of authorities associated with a unique license
        ID
      parameters:
        - $ref: "#/components/parameters/licenseIdPathParam"
      responses:
        "200":
          description: Success
          content:
            application/hal+json:
              schema:
                type: object
                properties:
                  embedded:
                    $ref: "#/components/schemas/LicenseLoaV2"
                  links:
                    $ref: "#/components/schemas/LinksV2"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  parameters:
    licenseIdPathParam:
      name: licenseId
      in: path
      description: License ID of the data to return
      required: true
      schema:
        type: integer
        example: 1234567
  schemas:
    LicenseLoaV2:
      type: object
      description: Container for a list of license records in version 2
      properties:
        licenseLoas:
          type: array
          description: A list of license objects
          items:
            allOf:
              - $ref: "#/components/schemas/LicenseLoaBase"
              - type: object
                properties:
                  links:
                    $ref: "#/components/schemas/SelfLink"
    LinksV2:
      type: object
      properties:
        next:
          type: object
          properties:
            href:
              type: string
              example: https://access.sandbox.agentsync.io/v2/{endpoint}?continuationToken=1282784
        self:
          type: object
          properties:
            href:
              type: string
              example: https://access.sandbox.agentsync.io/v2/{endpoint}?continuationToken=0
    LicenseLoaBase:
      type: object
      properties:
        id:
          type: integer
          example: 1234567
          description: unique identifier for the license line of authority (loa) record
        licenseId:
          type: integer
          description: unique identifier for the associated license
          example: 967373
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        loa:
          type: string
          example: Property
          description: The line of authority associated with the license (e.g., Property,
            Casualty)
        loaCode:
          type: string
          example: "12"
          description: A code representing the line of authority
        issueDate:
          type: string
          format: date
          example: 2004-01-21
          description: The date the line of authority was issued
        createdAt:
          type: string
          format: date
          example: 2021-04-04
          description: Date of the creation of this record in AgentSync
        updatedAt:
          type: string
          format: date
          example: 2024-12-02
          description: Date of the most recent update to this record in AgentSync
        status:
          type: string
          enum:
            - Active
            - Cancelled
            - Inactive
          example: Active
          description: Current status of the line of authority. One of `Active`,
            `Cancelled`, or `Inactive`
        statusReasonDate:
          type: string
          format: date
          example: 2020-12-26
          description: The date the current status reason became effective
        ceCompliance:
          type: string
          example: IN COMPLIANCE
          description: Continuing education (CE) compliance status. One of `EXEMPT`, `IN
            COMPLIANCE`, `N/A`, `NOT IN COMPLIANCE` or `NULL`
        ceCreditsNeeded:
          type: integer
          example: 0
          description: Number of continuing education credits required for compliance
        loaMapping:
          type: object
          properties:
            categories:
              type: array
              items:
                type: string
                example: life
        niprDeleted:
          type: boolean
          example: false
          description: Indicates if the license was marked deleted by NIPR
    SelfLink:
      type: object
      properties:
        self:
          type: object
          properties:
            href:
              type: string
              example: https://api.sandbox.agentsync.io/v1/{endpoint}/{id}
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
